require "rails_helper"

RSpec.describe Settings::PaymentMethodSettingsController, type: :routing do
  describe "routing" do

    it "routes to #index" do
      expect(:get => "/settings/payment_method_settings").to route_to("settings/payment_method_settings#index")
    end

    it "routes to #new" do
      expect(:get => "/settings/payment_method_settings/new").to route_to("settings/payment_method_settings#new")
    end

    it "routes to #show" do
      expect(:get => "/settings/payment_method_settings/1").to route_to("settings/payment_method_settings#show", :id => "1")
    end

    it "routes to #edit" do
      expect(:get => "/settings/payment_method_settings/1/edit").to route_to("settings/payment_method_settings#edit", :id => "1")
    end

    it "routes to #create" do
      expect(:post => "/settings/payment_method_settings").to route_to("settings/payment_method_settings#create")
    end

    it "routes to #update via PUT" do
      expect(:put => "/settings/payment_method_settings/1").to route_to("settings/payment_method_settings#update", :id => "1")
    end

    it "routes to #update via PATCH" do
      expect(:patch => "/settings/payment_method_settings/1").to route_to("settings/payment_method_settings#update", :id => "1")
    end

    it "routes to #destroy" do
      expect(:delete => "/settings/payment_method_settings/1").to route_to("settings/payment_method_settings#destroy", :id => "1")
    end

  end
end
